<?php
/********************************************************************************
 * (c)1337 aheadware.com - All rights reserved
 ********************************************************************************/

/**
 * Class AHDB_Core_Controller
 */
class AHDB_Core_Controller {

    /** @var  AHDB_Core_Request $request */
    protected $request;

    /** @var  AHDB_Response_Abstract $response */
    protected $response;

    public function __construct( AHDB_Core_Request $request ) {
        $this->request = $request;
    }

    /**
     * Process given request
     *
     * @return AHDB_Response_Abstract
     */
    public function processRequest() {
        $this->authorizeRequest();
        $this->response = $this->performRequest();
    }

    public function authorizeRequest() {

    }

    public function performRequest() {

    }
}